# Creates a webhook

Creates a Webhook object.
A webhook needs to have a `name`, `description` and a `url`. By default the Webhook will be active and subscribed to all event types. You can add the parameter `active` to `false` to make it inactive.

Endpoint: POST /webhooks
Version: v1
Security: apiKey

## Security:

  - `apiKey` (unknown)
    http bearer API key

## Request fields (application/json):

  - `description` (string)
    Description of the webhook. It describes what this webhook is used for.

  - `name` (string)
    Name of the webhook.

  - `url` (string)
    The URL of the webhook endpoint

  - `active` (boolean)
    When `active` is `true` this webhook endpoint will receive events.

  - `enabled_event_types` (array)
    Event types that will be sent to the webhook endpoint. If `event_types` are not supplied, all event types will be sent. Also, you can supply `['all']` to enable all event types.

## Response 201:

  - `201` (unknown)
    webhook created

## Response 201 fields (application/json):

  - `id` (string, required)

  - `type` (string, required)
    Enum: "webhook"

  - `name` (string, required)

  - `description` (string, required)

  - `active` (boolean, required)

  - `url` (string, required)

  - `secret` (string, required)

  - `enabled_event_types` (array)

  - `created_at` (string, required)

  - `_links` (object, required)

  - `_links.self` (string, required)

